
Audacious - Feature #1048

PipeWire support

December 31, 2020 10:14 - Alex Beliy

Status: Closed Start date: December 31, 2020

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/pipewire Estimated time: 0.00 hour

Target version: 4.3   

Affects version:    

Description

I think it makes sense to add support for pipewire similar to alsa and pulseaudio.

History

#1 - May 04, 2022 19:36 - Thomas Lange

- Subject changed from Pipewire support to PipeWire support

Merge Request (work in progress) for a native PipeWire output plugin:

https://github.com/audacious-media-player/audacious-plugins/pull/104

#2 - August 26, 2022 09:02 - Thomas Lange

- Target version set to 4.3

- Status changed from New to Closed

- Category set to plugins/pipewire

The PipeWire support is fully implemented now and will be released with the next Audacious version.

#3 - August 26, 2022 14:04 - Artem S. Tashkinov

Thomas Lange wrote:

The PipeWire support is fully implemented now and will be released with the next Audacious version.

 

PipeWire uses/offers the exact same API as PulseAudio, in other words PA plugin is 100% compatible and sufficient for PipeWire.

There's no need to have two plugins. You may rename it from "PulseAudio plugin" to "PulseAudio/PipeWire plugin" and that's it.

#4 - August 26, 2022 17:23 - John Lindgren

There's no need to complain about other's contributions. If you don't care for the new plugin, don't use it, simple as that.

We could also have said that the PulseAudio plugin was unnecessary because PulseAudio emulates ALSA, the ALSA plugin was unnecessary

because ALSA emulates OSS, etc.
